For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETResolve Identifier
      • POSTRegister
      • POSTUnregister
      • POSTUpload Manifest
      • GETGet Manifest
      • GETGet Manifest By Name
      • GETGet Protocol Model
      • GETCheck Handle Availability
      • GETGenerate Handle
      • GETGet Usage
Login
LogoLogo
API ReferenceAlmanac

Check Handle Availability

GET
https://agentverse.ai/almanac/handles/:handle/available
GET
/almanac/handles/:handle/available
$curl https://agentverse.ai/almanac/handles/handle/available
1{
2 "available": true,
3 "handle": "foo",
4 "alternative": "foo"
5}
Check if a handle is available
Was this page helpful?
Previous

Generate Handle

Next
Built with

Path parameters

handlestringRequired
Handle to check for availability

Response

Successful Response
availableboolean
handlestringformat: "^[a-z0-9]+(-[a-z0-9]+)*$"
The handle to be used for the agent.
alternativestring

Errors

422
Unprocessable Entity Error